Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for SAG API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.sagadapter.sagapi
Interface Configuration.AcquireSnFRequestConfig

Enclosing interface:
  Configuration

    public static interface Configuration.AcquireSnFRequestConfig

Configuration used to acquire the SnF queue.

Version:
  cvs revision: $Revision: 1.4 $ Last Modified: $Date: 2007/10/19 19:48:21 $
Author:
  Harry Liu (harry.liu@sun.com)

Method Summary
`java.lang.String` | `getSw_ForceAcquire()` Gets the ForceAquire.
`java.lang.String` | `getSw_OrderBy()` Gets the OrderBy, the order in which the messages must be retrieved on the queue.
`java.lang.String` | `getSw_RecoveryMode()` Gets the recovery mode.
`java.lang.String` | `getSw_SessionMode()` Gets the session mode.
`java.lang.String` | `getSwInt_Queue()` Gets the SwInt_Queue.
`java.lang.String` | `getSwInt_SNLEP()`
`void` | `setSw_ForceAcquire(java.lang.String forceAcquire)` Sets the ForceAquire.
`void` | `setSw_OrderBy(java.lang.String orderBy)` Sets the OrderBy, the order in which the messages must be retrieved on the queue.
`void` | `setSw_RecoveryMode(java.lang.String recoveryMode)` Sets the recovery mode.
`void` | `setSw_SessionMode(java.lang.String sessionMode)` Sets the session mode.
`void` | `setSwInt_Queue(java.lang.String queue)` Sets the SwInt_Queue.
`void` | `setSwInt_SNLEP(java.lang.String snlEP)`
`void` | `validate()` Validates the ExchangeRequest section.

Method Detail

### getSwInt_Queue

    java.lang.String getSwInt_Queue()

  Gets the SwInt_Queue.

  Parameters:
    None.

  Returns:
    `String` - Returns queue.
  Throws:
    None.

### getSw_ForceAcquire

    java.lang.String getSw_ForceAcquire()

  Gets the ForceAquire. Indicates if an acquisition request must be accepted in case the queue is already acquired.

  Parameters:
    None.

  Returns:
    `String` - Returns force acquire.
  Throws:
    None.

### getSw_SessionMode

    java.lang.String getSw_SessionMode()

  Gets the session mode.

  Parameters:
    None.

  Returns:
    `String` - Returns the session mode.
  Throws:
    None.

### getSwInt_SNLEP

    java.lang.String getSwInt_SNLEP()

### getSw_OrderBy

    java.lang.String getSw_OrderBy()

  Gets the OrderBy, the order in which the messages must be retrieved on the queue.

  Parameters:
    None.

  Returns:
    `String` - Returns the OrderBy.
  Throws:
    None.

### getSw_RecoveryMode

    java.lang.String getSw_RecoveryMode()

  Gets the recovery mode.
  Parameters:
    None.

  Returns:
    `String` - Returns recovery mode.
  Throws:
    None.

### setSwInt_Queue

    void setSwInt_Queue(java.lang.String queue)
                        throws SAGApplicationException

  Sets the SwInt_Queue.

  Parameters:
    `queue` -
  Throws:
    `SAGApplicationException` - upon error.

### setSw_ForceAcquire

    void setSw_ForceAcquire(java.lang.String forceAcquire)
                            throws SAGApplicationException

  Sets the ForceAquire. Indicates if an acquisition request must be accepted in case the queue is already acquired.

  Parameters:
    `forceAcquire` -
  Throws:
    `SAGApplicationException` - upon error.

### setSw_SessionMode

    void setSw_SessionMode(java.lang.String sessionMode)
                           throws SAGApplicationException

  Sets the session mode.

  Parameters:
    `sessionMode` -
  Throws:
    `SAGApplicationException` - upon error.

### setSwInt_SNLEP

    void setSwInt_SNLEP(java.lang.String snlEP)

### setSw_OrderBy

    void setSw_OrderBy(java.lang.String orderBy)
                       throws SAGApplicationException

  Sets the OrderBy, the order in which the messages must be retrieved on the queue.

  Parameters:
    `orderBy` -
  Throws:
    `SAGApplicationException` - upon error.

### setSw_RecoveryMode

    void setSw_RecoveryMode(java.lang.String recoveryMode)
                            throws SAGApplicationException

  Sets the recovery mode.

  Parameters:
    `recoveryMode` -
  Throws:
    `SAGApplicationException` - upon error.

### validate

    void validate()
                  throws SAGApplicationException

  Validates the ExchangeRequest section.

  Parameters:
    None.

  Throws:
    `SAGApplicationException` - upon error.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for SAG API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All rights reserved.